# Method: groups.create

Creates a Group.

### HTTP request

`POST https://cloudidentity.googleapis.com/v1/groups`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `initialGroupConfig` | ``enum (`https://docs.cloud.google.com/identity/docs/reference/rest/v1/groups/create#InitialGroupConfig`)`` Optional. The initial configuration option for the `Group`. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/identity/docs/reference/rest/v1/groups#Group`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/identity/docs/reference/rest/Shared.Types/Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-identity.groups`
- `https://www.googleapis.com/auth/cloud-identity`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).

## InitialGroupConfig

The initial configuration options for creating a `Group`.

| Enums ||
|---|---|
| `INITIAL_GROUP_CONFIG_UNSPECIFIED` | Default. Should not be used. |
| `WITH_INITIAL_OWNER` | The end user making the request will be added as the initial owner of the `Group`. |
| `EMPTY` | An empty group is created without any initial owners. This can only be used by admins of the domain. |